
/* Feb 92 - Written by Neil Mackenzie				    */
/* Copyright -1992 Capilano Computing Systems Limited.	*/

#ifndef OBJECT_H
#define OBJECT_H

// This is the grand daddy of all  objects allocated in DevEditor
// This is useful for debugging as we will know if any objects are not deallocated

class TObject
{

	protected:
		 static long	fTotalNumberOfOjects;
	
	public:
		TObject() { ++fTotalNumberOfOjects; }
		
		~TObject() { --fTotalNumberOfOjects;}
		
		static 	long 	ObjectsAllocated(void);
};


#endif